## org.eclipse.emf.ecoretools.diagram.view.factories
Class EDataTypeInstanceClass2ViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.emf.ecoretools.diagram.view.factories.EDataTypeInstanceClass2ViewFactory

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.core.view.factories.ViewFactory

    public class EDataTypeInstanceClass2ViewFactory

extends org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory

Constructor Summary
`EDataTypeInstanceClass2ViewFactory()`

Method Summary
`protected java.util.List` `createStyles(org.eclipse.gmf.runtime.notation.View view)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createLayoutConstraint, createNode, createView, decorateView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EDataTypeInstanceClass2ViewFactory

    public EDataTypeInstanceClass2ViewFactory()

Method Detail

### createStyles

    protected java.util.List createStyles(org.eclipse.gmf.runtime.notation.View view)

  Overrides:
    `createStyles` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory`

Copyright 2007 Anyware Technologies. All Rights Reserved.